/* NATIVE_LANGUAGE options: ENGLISH or GERMAN */

#define ENGLISH		1
#define GERMAN		2

#define NATIVE_LANGUAGE ENGLISH
/* #define NATIVE_LANGUAGE GERMAN */

#if NATIVE_LANGUAGE==GERMAN
	#define COMMENT_IGNORED "No transcript running, comment ignored.^"
	#define COMMENT_RECORDED "Comment recorded.^"
	#define INVALID_SELECTION "Invalid selection.^"
	#define RESTARTING "^Restarting...^"
	#define WIDTH_SET "Screen width set.^"
	#define DEPTH_SET "Screen depth set.^"
	#define DELAY_SET "Delay set.^"
	#define READ_ERROR "Error reading game file.^"
	#define DELAY_INSTRUCTIONS "You must specify a number to set the delay to in milliseconds.^"
	#define COLUMNS_INSTRUCTIONS "You must specify a number to set the screen width to.^"
	#define ROWS_INSTRUCTIONS "You must specify a number to set the screen depth to.^"
	#define MARGIN_INSTRUCTIONS "The ~margin~ command must be followed by an integer to set the margin to.^"
	#define MARGIN_SET "Margin set.^"
 	#define RETURN_GAME	"Returning to game.^"
	#define OLD_INTERPRETER "Interpreter version is older than game file, can't continue."
	#define AGAIN_WORD "again"
	#define RESTART_WORD "restart"
	#define QUIT_WORD "quit"
	#define UNDO_WORD "undo"
	#define OOPS_WORD "oops"
	#define BAD_CURSOR "You can only use the \"cursor\" command in the status window.^"
	#define BAD_OOPS "You must follow the \"oops\" command with the word you wish to use instead.^"
	#define CANT_CORRECT "I can't correct the last command using \"oops\", sorry.^"
	#define SURE_QUIT "Are you sure you want to quit?^"
	#define SURE_RESTART "Are you sure you want to restart?^"
	#define NOT_CLEVER "It wasn't so clever as to be worth repeating.^"
	#define NO_MOVES "But you haven't done anything yet!^"
	#define TYPE_NUMBER "^Type a number between %d and %d: "
	#define REFERRING_TO "Are you referring to:^"
	#define FROM_WORD "from"
	#define EXCEPT_WORD "except"
	#define FOR_WORD "for"
	#define BUT_WORD "but"
	#define AND_WORD "and"
	#define THEN_WORD "then"
	#define OF_WORD "of"
	#define IT_WORD "it"
	#define ITSELF_WORD "itself"
	#define THAT_WORD "that"
	#define THOSE_WORD "those"
	#define HIM_WORD "him"
	#define HIMSELF_WORD "himself"
	#define HER_WORD "her"
	#define HERSELF_WORD "herself"
	#define SHE_WORD "she"
	#define HE_WORD "he"
	#define THAT_WORD "that"
	#define THEY_WORD "they"
	#define THEM_WORD "them"
	#define THEMSELVES_WORD "themselves"
	#define ONES_WORD "ones"
	#define NO_MULTI_VERB "You can't refer to multiple objects directly after the word \"%s\".^"
    #define NO_MULTI_START "You can't refer to multiple objects at the start of a command.^"
	#define PERSON_CONCEALING "%s doesn't seem to be carrying any such thing.^"
	#define PERSON_POSSESSIVE "%s isn't about to let you take anything of theirs.^"
	#define CONTAINER_CLOSED "%s is closed.^"
	#define FROM_NON_CONTAINER "The word \"%s\" must be followed by a container.^"
	#define DOUBLE_EXCEPT "You can only use the word \"%s\" once per object reference.^"
	#define NONE_HELD "You are not holding anything like that.^"
	#define NO_OBJECTS "I don't see what you are referring to.^"
	#define NO_FILENAME "Save and restore commands must be followed by a filename.^"
	#define MOVE_UNDONE "Previous move undone.^^"
	#define NO_UNDO "Nothing to undo.^"
	#define NOT_INTEGER "In function \"%s\", \"%s\" command requires integer parameter."
	#define NO_NAME_FUNCTION "In line %d, a function must have at least one name."
	#define	MAXIMUM_ATTRIBUTES_ERR "In line %d, unable to create attribute \"%s\", maximum number of attributes already defined."
	#define BAD_POINTER "In function \"%s\", attempt to use object pointer \"%s\" that does not point to an object (%d)."
	#define BAD_PLAYER "In function \"%s\", attempt to use object pointer \"player\" while it does not point to an object (%d)."
	#define BAD_PARENT "In function \"%s\", attempt to use the variable 'here' while the variable 'player' does not have a legal parent."
	#define ILLEGAL_LABEL "In line %d, illegal word \"%s\" used as label."
	#define USED_LABEL_INT "In line %d, \"%s\" is already used as a variable label."
	#define USED_LABEL_CINT "In line %d, \"%s\" is already used as an integer constant label."
	#define USED_LABEL_STR "In line %d, \"%s\" is already used as a string label."
	#define USED_LABEL_CSTR "In line %d, \"%s\" is already used as a string constant label."
	#define USED_LABEL_ATT "In line %d, \"%s\" is already used as an attribute label."
	#define USED_LABEL_OBJ "In line %d, \"%s\" is already used as an object or location label."
	#define NO_OBJECT_ERR "In line %d, property \"%s\" defined before first object or location."
	#define BAD_INCLUDE "'#include' directive must be followed by file name enclosed in double quotes."
	#define NO_MEDIA "WebJACL: Media-Datei \"%s\" konnte nicht gefunden werden, Untersttzung fr externe Medien wurde deaktiviert.\n"
	#define MEDIA_REGISTERED "WebJACL: Es wurden %d Medien registriert.\n"
	#define CLEANING_UP "WebJACL: Aufrumen...\n"
	#define NO_GAME "FEHLER: Es wurde keine Spiel-Datei angegeben, Abbruch."
	#define NO_PORT "WebJACL: Keine Portadresse angegeben (-p <Port>), verwende Standard-Port %d.\n"
	#define WEBJACL_CONFIGURED "WebJACL Server konfiguriert fr %s:%d\n"
	#define NOT_FOUND "FEHLER: Die Spiel-Datei konnte nicht gefunden werden, Abbruch.^"
	#define CANT_OPEN "FEHLER: Datei \"%s\", konnte nicht geffnet werden, Abbruch."
	#define CANT_RUN "FEHLER: Ein JACL Spiel muss mindestens ein Objekt beinhalten (um den Spieler abzubilden), und einen Raum bereitstellen (in dem der Spieler startet)."
	#define NO_PLAYER "FEHLER: Der Objekt-Zeiger 'player' zeigt *nicht* auf ein gltiges Objekt."
	#define STARTING "Start..."
	#define CANT_SAVE "Spielstand \"%s\" konnte nicht gespeichert werden."
	#define BAD_PARAMETER "Unbekannter Container '%s' mit parameter '%s' assoziiert."
	#define GAME_SAVED "Spielstand gespeichert.^"
	#define ERROR_SAVING "Fehler beim speichern von ~"
	#define ERROR_READING "Fehler beim lesen von ~"
	#define INCOMPLETE_GRAMMAR "unvollstndige Grammatik."
	#define INCOMPLETE_SENTENCE "Der eingegebene Satz ist unvollst&auml;ndig.^"
	#define UNKNOWN_OBJECT "Unbekanntes Objekt: ~"
	#define UNKNOWN_OBJECT_END "~.^"
	#define CANT_USE_WORD "Du kannst das Wort ~"
	#define IN_CONTEXT "~ in diesem Zusammenhang nicht benutzen.^"
	#define NOT_LOCATION "But "
	#define NOT_LOCATION_END " is not a location.^"
	#define NOT_HOLDING "Du hlst keinen "
	#define NOT_HOLDING_END "in Deiner Hand.^"
	#define HARD_WHILE_HOLDING "Du h&auml;lst bereits "
	#define HARD_WHILE_HOLDING_END " in deiner Hand.^"
	#define CURRENTLY_HAS " hat gerade "
	#define DONT_SEE "Ich sehe kein(e) "
	#define HERE_WORD " hier.^"
	#define SELF_REFERENCE "In Funktion \"%s\", \"%s\" 'Parent' Zeiger verweist auf sich selbst."
	#define BAD_SAVED_GAME "Es wurde versucht eine inkompatible Spiel-Datei zu ladnen."
	#define CANT_GO "In diese Richtung geht es nicht.^"
	#define ARENT "sind nicht"
	#define ISNT "ist nicht"
	#define ARE "sind"
	#define IS "ist"
	#define DONT "mache nicht"
	#define DOESNT "macht nicht"
	#define DO "machen"
	#define	DOES "macht"
	#define EXECUTING "beim Ausfhren von Funktion \"%s\".\n"
	#define NO_WHILE "In Funktion \"%s\", 'endwhile' ohne entsprechenden 'while' Befehl."
	#define NO_REPEAT "In Funktion \"%s\", 'until' ohne entsprechenden 'repeat' Befehl."
	#define NO_LOOP "In Funktion \"%s\", 'endloop' ohne entsprechenden 'loop' Befehl."
	#define UNDEFINED_FUNCTION "In Funktion \"%s\", ungltiger Funktionsaufruf \"%s\"."
	#define SCORE_UP "^[DEINE PUNKZAHL HAT SICH ERH&ouml;HT UM "
	#define POINT " PUNKT]^"
	#define POINTS " PUNKTE]^"
	#define DIVIDE_BY_ZERO "In Funktion \"%s\", division durch Null."
	#define ILLEGAL_OPERATOR "In Funktion \"%s\", ungltiger Operator \"%s\"."
	#define UNKNOWN_COMMAND "In Funktion \"%s\", unbekannter Befehl \"%s\"."
	#define RETURNING "Rcksprung in Funktion \"%s\"."
	#define STACK_OVERFLOW "Stackberlauf."
	#define OUT_OF_RANGE "In Funktion \"%s\", Element \"%s\" ist nicht verfgbar (out of range) (%d)."
	#define GLOBAL_SELF "Referenz auf 'self' in der globalen Funktion \"%s\"."
	#define NON_GLOBAL_FIRST "In Zeile %d, non-globale Funktion vor Objekt oder Raum."
	#define MAXIMUM_EXCEEDED "Maximale Nummer von Objekten berschritten, Abbruch."
	#define ERROR_DETECTED "1 Fehler gefunden."
	#define ERRORS_DETECTED "%d Fehler gefunden."
	#define UNKOWN_OBJECT_RUN "In Funktion \"%s\",  Referenz auf unbekanntes Objekt \"%s\"."
	#define UNKNOWN_FUNCTION_RUN "Aufruf der unbekannten Funktion \"%s\"."
	#define UNKNOWN_KEYWORD_ERR "In Zeile %d, unbekanntes Schlsselwort \"%s\"."
	#define UNKNOWN_ATTRIBUTE_ERR "In Zeile %d, unbekanntes Attribut \"%s\"."
	#define UNKNOWN_VALUE_ERR "In line %d, unable to resolve value \"%s\"."
	#define INSUFFICIENT_PARAMETERS_RUN "In Funktion \"%s\", \"%s\" Befehl mit unzureichenden Parametern."
	#define INSUFFICIENT_PARAMETERS_ERR "In Zeile %d, \"%s\" Schlsselwort mit unzureichenden Parametern."
	#define UNDEFINED_ITEM_ERR "In Zeile %d, Referenz auf ungltigen Gegenstand \"%s\"."
	#define UNKNOWN_ATTRIBUTE_RUN "In Funktion \"%s\",  Referenz auf unbekanntes Attribut \"%s\"."
	#define UNDEFINED_ITEM_RUN "In Funktion \"%s\", Referenz auf ungltiges Objekt \"%s\"."
	#define UNDEFINED_DIRECTION_RUN "In Funktion \"%s\", Referenz auf ungltige Richtung \"%s\"."
	#define UNKNOWN_SCOPE "In Funktion \"%s\", Referenz auf ungltigen Scope \"%s\"."
	#define UNDEFINED_STRING_RUN "In Funktion \"%s\", Referenz auf ungltigen Container \"%s\"."
	#define UNDEFINED_CONTAINER_RUN "In Funktion \"%s\", Referenz auf ungltigen Container \"%s\"."
	#define OUT_OF_MEMORY "Speicherberlauf (out of memory), Abbruch."
	#define NO_IT "Du musst Dich auf ein g&uuml;ltiges Nomen beziehen, um folgenmdes Wort zu benutzen: ~"
	#define NO_IT_END "~.^"
	#define BACK_REFERENCE "Du musst Dich auf ein g&uuml;ltiges Nomen im selben Satz beziehen um folgendes Wort nutzen zu benutzen: ~"
	#define BACK_REFERENCE_END "~."
	#define MUST_SPECIFY "Bitte spezifiziere genauer, was Du meinst "
	#define OR_WORD " oder "
	#define CANT_OPEN_PROCESSED "Kann Datei \"%s\" nicht schreiben, Abbruch."
	#define CANT_OPEN_OR "Kann Quelldatei \"%s\" oder \"%s\" nicht ffnen, Abbruch."
	#define CANT_OPEN_SOURCE "Kann Quelldatei \"%s\" nicht ffnen, Abbruch."
#endif
#if NATIVE_LANGUAGE==ENGLISH
	#define COMMENT_IGNORED "No transcript running, comment ignored.^"
	#define COMMENT_RECORDED "Comment recorded.^"
	#define INVALID_SELECTION "Invalid selection.^"
	#define RESTARTING "^Restarting...^"
	#define WIDTH_SET "Screen width set.^"
	#define DEPTH_SET "Screen depth set.^"
	#define DELAY_SET "Delay set.^"
	#define READ_ERROR "Error reading game file.^"
	#define DELAY_INSTRUCTIONS "You must specify a number to set the delay to in milliseconds.^"
	#define COLUMNS_INSTRUCTIONS "You must specify a number to set the screen width to.^"
	#define ROWS_INSTRUCTIONS "You must specify a number to set the screen depth to.^"
	#define MARGIN_INSTRUCTIONS "The ~margin~ command must be followed by an integer to set the margin to.^"
	#define MARGIN_SET "Margin set.^"
 	#define RETURN_GAME	"^Returning to game.^"
	#define RETURNING "Returning to function \"%s\"."
	#define OLD_INTERPRETER "Interpreter version is older than game file, can't continue."
	#define AGAIN_WORD "again"
	#define RESTART_WORD "restart"
	#define QUIT_WORD "quit"
	#define UNDO_WORD "undo"
	#define OOPS_WORD "oops"
	#define BAD_CURSOR "You can only use the \"cursor\" command in the status window.^"
	#define BAD_OOPS "You must follow the \"oops\" command with the word you wish to use instead.^"
	#define CANT_CORRECT "I can't correct the last command using \"oops\", sorry.^"
	#define SURE_QUIT "Are you sure you want to quit?^"
	#define SURE_RESTART "Are you sure you want to restart?^"
	#define NOT_CLEVER "It wasn't so clever as to be worth repeating.^"
	#define NO_MOVES "But you haven't done anything yet!^"
	#define TYPE_NUMBER "^Type a number between %d and %d: "
	#define REFERRING_TO "Are you referring to:^"
	#define FROM_WORD "from"
	#define EXCEPT_WORD "except"
	#define FOR_WORD "for"
	#define BUT_WORD "but"
	#define AND_WORD "and"
	#define THEN_WORD "then"
	#define OF_WORD "of"
	#define SHE_WORD "she"
	#define HE_WORD "he"
	#define THAT_WORD "that"
	#define THEM_WORD "them"
	#define THOSE_WORD "those"
	#define THEY_WORD "they"
	#define IT_WORD "it"
	#define ITSELF_WORD "itself"
	#define HIM_WORD "him"
	#define HIMSELF_WORD "himself"
	#define HER_WORD "her"
	#define HERSELF_WORD "herself"
	#define THEMSELVES_WORD "themselves"
	#define ONES_WORD "ones"
	#define NO_MULTI_VERB "You can't refer to multiple objects directly after the word \"%s\".^"
    #define NO_MULTI_START "You can't refer to multiple objects at the start of a command.^"
	#define PERSON_CONCEALING "%s doesn't seem to be carrying any such thing.^"
	#define PERSON_POSSESSIVE "%s isn't about to let you take anything of theirs.^"
	#define CONTAINER_CLOSED "%s is closed.^"
	#define FROM_NON_CONTAINER "The word \"%s\" must be followed by a container.^"
	#define DOUBLE_EXCEPT "You can only use the word \"%s\" once per object reference.^"
	#define NONE_HELD "You are not holding anything like that.^"
	#define NO_OBJECTS "I don't see what you are referring to.^"
	#define NO_FILENAME "Save and restore commands must be followed by a filename.^"
	#define MOVE_UNDONE "Previous move undone.^^"
	#define NO_UNDO "Nothing to undo.^"
	#define NOT_INTEGER "In function \"%s\", \"%s\" command requires integer parameter."
	#define NO_NAME_FUNCTION "In line %d, a function must have at least one name."
	#define	MAXIMUM_ATTRIBUTES_ERR "In line %d, unable to create attribute \"%s\", maximum number of attributes already defined."
	#define BAD_PLAYER "In function \"%s\", attempt to use object pointer \"player\" while it does not point to an object (%d)."
	#define BAD_PARENT "In function \"%s\", attempt to use the variable 'here' while the variable 'player' does not have a legal parent."
	#define BAD_POINTER "In function \"%s\", attempt to use object pointer \"%s\" that does not point to an object (%d)."
	#define ILLEGAL_LABEL "In line %d, reserved word \"%s\" used as label."
	#define USED_LABEL_INT "In line %d, \"%s\" is already used as a variable label."
	#define USED_LABEL_CINT "In line %d, \"%s\" is already used as an integer constant label."
	#define USED_LABEL_STR "In line %d, \"%s\" is already used as a string label."
	#define USED_LABEL_CSTR "In line %d, \"%s\" is already used as a string constant label."
	#define USED_LABEL_ATT "In line %d, \"%s\" is already used as an attribute label."
	#define USED_LABEL_OBJ "In line %d, \"%s\" is already used as an object or location label."
	#define NO_OBJECT_ERR "In line %d, property \"%s\" defined before first object or location."
	#define BAD_INCLUDE "'#include' directive must be followed by file name enclosed in double quotes."
	#define NO_MEDIA "WebJACL: Media file \"%s\" not found, external media support disabled.\n"
	#define MEDIA_REGISTERED "WebJACL: Registered %d media.\n"
	#define CLEANING_UP "WebJACL: Cleaning up...\n"
	#define NO_GAME "No game file specified, can't continue."
	#define NO_PORT "WebJACL: No port number specified (-p <number>), using default port %d.\n"
	#define WEBJACL_CONFIGURED "WebJACL server configured on %s:%d\n"
	#define NOT_FOUND "Unable to open game file, can't continue.^"
	#define CANT_OPEN "Unable to open processed file \"%s\", can't continue."
	#define CANT_RUN "A JACL game must contain at least one object (to represent the player), and at least one location (for the player to start in)."
	#define NO_PLAYER "The object pointer 'player' does not point to an object."
	#define STARTING "Starting."
	#define CANT_SAVE "Unable to save game state to file \"%s\"."
	#define BAD_PARAMETER "Unknown container '%s' associated with parameter '%s'."
	#define GAME_SAVED "Game saved.^"
	#define ERROR_SAVING "Error writing save file ~"
	#define ERROR_READING "Error reading save file ~"
	#define INCOMPLETE_GRAMMAR "Incomplete grammar statement."
	#define INCOMPLETE_SENTENCE "The sentence you typed was incomplete.^"
	#define UNKNOWN_OBJECT "You can't see any such thing as ~"
	#define UNKNOWN_OBJECT_END "~.^"
	#define CANT_USE_WORD "You can't use the word ~"
	#define IN_CONTEXT "~ in that context.^"
	#define NOT_LOCATION "But "
	#define NOT_LOCATION_END " is not a location.^"
	#define NOT_HOLDING "You are not holding "
	#define NOT_HOLDING_END ".^"
	#define HARD_WHILE_HOLDING "That will be a bit hard while you're holding "
	#define HARD_WHILE_HOLDING_END ".^"
	#define CURRENTLY_HAS " currently has "
	#define DONT_SEE "You don't see "
	#define HERE_WORD " here.^"
	#define SELF_REFERENCE "In function \"%s\", reference to object \"%s\" whose parent is itself."
	#define BAD_SAVED_GAME "Attempt to restore incompatible saved-game file."
	#define CANT_GO "You can't go that way.^"
	#define ARENT "aren't"
	#define ISNT "isn't"
	#define ARE "are"
	#define IS "is"
	#define DONT "don't"
	#define DOESNT "doesn't"
	#define DO "do"
	#define	DOES "does"
	#define EXECUTING "Executing function \"%s\".\n"
	#define NO_WHILE "In function \"%s\", 'endwhile' command without matching 'while' command."
	#define NO_REPEAT "In function \"%s\", 'until' command without matching 'repeat' command."
	#define NO_LOOP "In function \"%s\", 'endloop' command without matching 'loop' command."
	#define UNDEFINED_FUNCTION "In function \"%s\", attempt to execute undefined function \"%s\"."
	#define SCORE_UP "^[YOUR SCORE JUST WENT UP BY "
	#define POINT " POINT]^"
	#define POINTS " POINTS]^"
	#define DIVIDE_BY_ZERO "In function \"%s\", division by zero error."
	#define ILLEGAL_OPERATOR "In function \"%s\", illegal operator \"%s\"."
	#define UNKNOWN_COMMAND "In function \"%s\", unknown command \"%s\"."
	#define STACK_OVERFLOW "Stack overflow."
	#define ILLEGAL_OPERATOR "In function \"%s\", illegal operator \"%s\"."
	#define OUT_OF_RANGE "In function \"%s\", element \"%s\" out of range (%d)."
	#define GLOBAL_SELF "Reference to 'self' from global function \"%s\"."
	#define NON_GLOBAL_FIRST "In line %d, non-global function before object or location."
	#define MAXIMUM_EXCEEDED "Maximum number of objects exceeded, can't continue."
	#define ERROR_DETECTED "1 error detected."
	#define ERRORS_DETECTED "%d errors detected."
	#define UNKOWN_OBJECT_RUN "In function \"%s\",  reference to unknown object \"%s\"."
	#define UNKNOWN_FUNCTION_RUN "Attempt to execute unknown function \"%s\"."
	#define UNKNOWN_KEYWORD_ERR "In line %d, unknown keyword \"%s\"."
	#define UNKNOWN_ATTRIBUTE_ERR "In line %d, unknown attribute \"%s\"."
	#define UNKNOWN_VALUE_ERR "In line %d, unable to resolve value \"%s\"."
	#define UNKNOWN_ATTRIBUTE_RUN "In function \"%s\",  reference to unknown attribute \"%s\"."
	#define INSUFFICIENT_PARAMETERS_RUN "In function \"%s\", \"%s\" command with insufficient parameters."
	#define INSUFFICIENT_PARAMETERS_ERR "In line %d, \"%s\" keyword with insufficient parameters."
	#define UNDEFINED_ITEM_ERR "In line %d, reference to undefined item \"%s\"."
	#define UNDEFINED_ITEM_RUN "In function \"%s\", reference to undefined object \"%s\"."
	#define UNDEFINED_DIRECTION_RUN "In function \"%s\", reference to undefined direction \"%s\"."
	#define UNKNOWN_SCOPE_RUN "In function \"%s\", reference to unknown scope \"%s\"."
	#define UNDEFINED_STRING_RUN "In function \"%s\", reference to undefined string \"%s\"."
	#define UNDEFINED_CONTAINER_RUN "In function \"%s\", reference to undefined container \"%s\"."
	#define OUT_OF_MEMORY "Out of memory, can't continue."
	#define NO_IT "You must have referred to an appropriate noun previously to use the word ~"
	#define NO_IT_END "~.^"
	#define BACK_REFERENCE "You must have referred to a noun previously in the same sentence to use the word ~"
	#define BACK_REFERENCE_END "~.^"
	#define MUST_SPECIFY "You must specify whether you mean "
	#define OR_WORD " or "
	#define CANT_OPEN_PROCESSED "Unable to open output file \"%s\" for writing, can't continue."
	#define CANT_OPEN_OR "Unable to open source file \"%s\" or \"%s\", can't continue."
	#define CANT_OPEN_SOURCE "Unable to open source file \"%s\", can't continue."
#endif

